<template>
  <div class="rui-tab-separator" :class="componentCSS" />
</template>

<script>

/**
 * Adds a small gap between tabs
 *
 * @noPlayground Useless outside of a `RuiTabs` component
 */
export default {
  name: 'RuiTabSeparator',
  props: {
    /** Whether to expand the spacer */
    spring: { required: false, type: Boolean, default: false },
  },
  computed: {
    componentCSS () {
      return [
        this.spring && 'rui-tab-separator--spring',
      ]
    },
  },
}
</script>
